diff --git a/src/logging.c b/src/logging.c
index 03992b5..dd01993 100644
--- a/src/logging.c
+++ b/src/logging.c
@@ -19,11 +19,11 @@
 #include <zlib.h>
 /* #endif */
 
-#include "logging.h"
+#include "./logging.h"
 /* #include "testoptions.h" */
-#include "strlutils.h"
-#include "utils.h"
-#include "protocol.h"
+#include "./strlutils.h"
+#include "./utils.h"
+#include "./protocol.h"
 
 static int _debuglevel = 0;
 static char* _programname = "";
@@ -36,7 +36,7 @@ static I2ErrHandle _errorhandler = NULL;
 static I2LogImmediateAttr _immediateattr_nl;
 static I2LogImmediateAttr _immediateattr;
 static time_t timestamp;
-static long int utimestamp;
+static int64_t utimestamp;
 
 /**
  * Compress snaplog, tcpdump, and cputime files to save disk space.
@@ -59,74 +59,73 @@ static long int utimestamp;
  */
 
 int zlib_def(char *src_fn) {
-
-	int ret, flush, level = Z_DEFAULT_COMPRESSION;
-	char dest_fn[256];
-	FILE *dest, *source;
-	unsigned have;
-	z_stream strm;
-	unsigned char in[16384];
-	unsigned char out[16384];
-
-	// allocate deflate state
-	strm.zalloc = Z_NULL;
-	strm.zfree = Z_NULL;
-	strm.opaque = Z_NULL;
-	ret = deflateInit(&strm, level);
-	if (ret != Z_OK) {
-		log_println(6, "zlib deflateInit routine failed with %d", ret);
-		return ret;
-	}
-
-	snprintf(dest_fn, sizeof(dest_fn), "%s.gz", src_fn);
-	if ((source = fopen(src_fn, "r")) == NULL) {
-		log_println(6, "zlib_def(): failed to open src file '%s' for reading",
-				src_fn);
-		return -3;
-	}
-	if ((dest = fopen(dest_fn, "w")) == NULL) {
-		log_println(6, "zlib_def(): failed to open dest file '%s' for writing",
-				dest_fn);
-		return -4;
-	}
-	// compress until end of file
-	do {
-		strm.avail_in = fread(in, 1, 16384, source);
-		if (ferror(source)) {
-			(void) deflateEnd(&strm);
-			return Z_ERRNO;
-		}
-		flush = feof(source) ? Z_FINISH : Z_NO_FLUSH;
-		strm.next_in = in;
-
-		// run deflate() on input until output buffer not full, finish
-		//   compression if all of source has been read in
-		do {
-			strm.avail_out = 16384;
-			strm.next_out = out;
-
-			ret = deflate(&strm, flush); /* no bad return value */
-			assert(ret != Z_STREAM_ERROR); /* state not clobbered */
-			have = 16384 - strm.avail_out;
-			if (fwrite(out, 1, have, dest) != have || ferror(dest)) {
-				(void) deflateEnd(&strm);
-				return Z_ERRNO;
-			}
-
-		} while (strm.avail_out == 0);
-		assert(strm.avail_in == 0); /* all input will be used */
-
-		/* done when last data in file processed */
-	} while (flush != Z_FINISH);
-	assert(ret == Z_STREAM_END); /* stream will be complete */
-
-	/* clean up and return */
-	(void) deflateEnd(&strm);
-
-	/* compressed version of file is now created, remove the original uncompressed version */
-	remove(src_fn);
-
-	return Z_OK;
+  int ret, flush, level = Z_DEFAULT_COMPRESSION;
+  char dest_fn[256];
+  FILE *dest, *source;
+  unsigned have;
+  z_stream strm;
+  unsigned char in[16384];
+  unsigned char out[16384];
+
+  // allocate deflate state
+  strm.zalloc = Z_NULL;
+  strm.zfree = Z_NULL;
+  strm.opaque = Z_NULL;
+  ret = deflateInit(&strm, level);
+  if (ret != Z_OK) {
+    log_println(6, "zlib deflateInit routine failed with %d", ret);
+    return ret;
+  }
+
+  snprintf(dest_fn, sizeof(dest_fn), "%s.gz", src_fn);
+  if ((source = fopen(src_fn, "r")) == NULL) {
+    log_println(6, "zlib_def(): failed to open src file '%s' for reading",
+                src_fn);
+    return -3;
+  }
+  if ((dest = fopen(dest_fn, "w")) == NULL) {
+    log_println(6, "zlib_def(): failed to open dest file '%s' for writing",
+                dest_fn);
+    return -4;
+  }
+  // compress until end of file
+  do {
+    strm.avail_in = fread(in, 1, 16384, source);
+    if (ferror(source)) {
+      (void) deflateEnd(&strm);
+      return Z_ERRNO;
+    }
+    flush = feof(source) ? Z_FINISH : Z_NO_FLUSH;
+    strm.next_in = in;
+
+    // run deflate() on input until output buffer not full, finish
+    //   compression if all of source has been read in
+    do {
+      strm.avail_out = 16384;
+      strm.next_out = out;
+
+      ret = deflate(&strm, flush); /* no bad return value */
+      assert(ret != Z_STREAM_ERROR); /* state not clobbered */
+      have = 16384 - strm.avail_out;
+      if (fwrite(out, 1, have, dest) != have || ferror(dest)) {
+        (void) deflateEnd(&strm);
+        return Z_ERRNO;
+      }
+    } while (strm.avail_out == 0);
+    assert(strm.avail_in == 0); /* all input will be used */
+
+    /* done when last data in file processed */
+  } while (flush != Z_FINISH);
+  assert(ret == Z_STREAM_END); /* stream will be complete */
+
+  /* clean up and return */
+  (void) deflateEnd(&strm);
+
+  // compressed version of file is now created, remove the original uncompressed
+  // version
+  remove(src_fn);
+
+  return Z_OK;
 }
 /* #endif */
 
@@ -137,28 +136,28 @@ int zlib_def(char *src_fn) {
  */
 
 void log_init(char* progname, int debuglvl) {
-	assert(progname);
+  assert(progname);
 
-	_programname =
-			(_programname = strrchr(progname, '/')) ?
-					_programname + 1 : progname;
+  _programname =
+      (_programname = strrchr(progname, '/')) ?
+      _programname + 1 : progname;
 
-	_immediateattr.fp = _immediateattr_nl.fp = stderr;
-	_immediateattr.line_info = I2MSG | I2NONL;
-	_immediateattr_nl.line_info = I2MSG;
-	_immediateattr.tformat = _immediateattr_nl.tformat = NULL;
+  _immediateattr.fp = _immediateattr_nl.fp = stderr;
+  _immediateattr.line_info = I2MSG | I2NONL;
+  _immediateattr_nl.line_info = I2MSG;
+  _immediateattr.tformat = _immediateattr_nl.tformat = NULL;
 
-	_errorhandler = I2ErrOpen(progname, I2ErrLogImmediate, &_immediateattr,
-			NULL, NULL);
-	_errorhandler_nl = I2ErrOpen(progname, I2ErrLogImmediate,
-			&_immediateattr_nl, NULL, NULL);
+  _errorhandler = I2ErrOpen(progname, I2ErrLogImmediate, &_immediateattr,
+                            NULL, NULL);
+  _errorhandler_nl = I2ErrOpen(progname, I2ErrLogImmediate,
+                               &_immediateattr_nl, NULL, NULL);
 
-	if (!_errorhandler || !_errorhandler_nl) {
-		fprintf(stderr, "%s : Couldn't init error module\n", progname);
-		exit(1);
-	}
+  if (!_errorhandler || !_errorhandler_nl) {
+    fprintf(stderr, "%s : Couldn't init error module\n", progname);
+    exit(1);
+  }
 
-	_debuglevel = debuglvl;
+  _debuglevel = debuglvl;
 }
 
 /**
@@ -168,8 +167,8 @@ void log_init(char* progname, int debuglvl) {
  * Added RAC 10/13/09
  */
 void log_free(void) {
-	free(_errorhandler);
-	free(_errorhandler_nl);
+  free(_errorhandler);
+  free(_errorhandler_nl);
 }
 
 /**
@@ -178,7 +177,7 @@ void log_free(void) {
  */
 
 void set_debuglvl(int debuglvl) {
-	_debuglevel = debuglvl;
+  _debuglevel = debuglvl;
 }
 
 /**
@@ -187,7 +186,7 @@ void set_debuglvl(int debuglvl) {
  */
 
 void set_logfile(char* filename) {
-	LogFileName = filename;
+  LogFileName = filename;
 }
 
 /**
@@ -197,24 +196,22 @@ void set_logfile(char* filename) {
  *
  */
 void set_protologdir(char* dirname) {
-	char localstr[256];
-
-	// Protocol log location being set
-	if (dirname == NULL) {
-		//use default of BASEDIR/LOGDIR
-		log_println(5, "PV: 1: NULL proto location =%s;\n", ProtocolLogDirName);
-		return;
-	} else if (dirname[0] != '/') {
-		snprintf(localstr, sizeof(localstr), "%s/%s/", BASEDIR, dirname);
-		ProtocolLogDirName = localstr;
-		log_println(5, "PV: 2: non-dir proto location. So=%s;\n", dirname);
-	} //end protocol dir name
-	else {
-		snprintf(localstr, sizeof(localstr), "%s", dirname);
-		ProtocolLogDirName = dirname;
-		log_println(5, "PV33: proto location=%s;\n", ProtocolLogDirName);
-	}
-
+  char localstr[256];
+
+  // Protocol log location being set
+  if (dirname == NULL) {
+    // use default of BASEDIR/LOGDIR
+    log_println(5, "PV: 1: NULL proto location =%s;\n", ProtocolLogDirName);
+    return;
+  } else if (dirname[0] != '/') {
+    snprintf(localstr, sizeof(localstr), "%s/%s/", BASEDIR, dirname);
+    ProtocolLogDirName = localstr;
+    log_println(5, "PV: 2: non-dir proto location. So=%s;\n", dirname);
+  } else {  // end protocol dir name
+    snprintf(localstr, sizeof(localstr), "%s", dirname);
+    ProtocolLogDirName = dirname;
+    log_println(5, "PV33: proto location=%s;\n", ProtocolLogDirName);
+  }
 }
 
 /**
@@ -222,8 +219,8 @@ void set_protologdir(char* dirname) {
  * @return directory where protocol logs are placed
  */
 char* get_protologdir() {
-	log_println(5," Protocol file location=%s;\n", ProtocolLogDirName);
-	return ProtocolLogDirName;
+  log_println(5, " Protocol file location=%s;\n", ProtocolLogDirName);
+  return ProtocolLogDirName;
 }
 
 /**             
@@ -231,7 +228,7 @@ char* get_protologdir() {
  * @return is protocol logging enabled? 
  */
 char get_protocolloggingenabled() {
-        return enableprotologging;
+  return enableprotologging;
 }
 
 /** 
@@ -242,14 +239,16 @@ char get_protocolloggingenabled() {
  * @param none
  */
 void create_protolog_dir() {
-	 if ( get_protocolloggingenabled() ) {
-		set_timestamp();
-                snprintf(protocollogfilestore, sizeof(protocollogfilestore), "%s/", get_protologdir());
-                log_println(5,"Creating protocol log directory=%s", protocollogfilestore);
-                create_named_logdir(protocollogfilestore, sizeof(protocollogfilestore), "", get_protocolloggingenabled());
-                set_protologdir(protocollogfilestore);
-		log_println(9,"DataDir remains=%s", DataDirName);
-	}
+  if ( get_protocolloggingenabled() ) {
+    set_timestamp();
+    snprintf(protocollogfilestore, sizeof(protocollogfilestore), "%s/",
+             get_protologdir());
+    log_println(5, "Creating protocol log directory=%s", protocollogfilestore);
+    create_named_logdir(protocollogfilestore, sizeof(protocollogfilestore), "",
+                        get_protocolloggingenabled());
+    set_protologdir(protocollogfilestore);
+    log_println(9, "DataDir remains=%s", DataDirName);
+  }
 }
 
 /**
@@ -259,28 +258,28 @@ void create_protolog_dir() {
  * @param filename The new protocol log filename
  * */
 /*
-void set_protologfile(char* client_ip, char* protologlocalarr) {
-	FILE * fp;
-
-	if (ProtocolLogDirName == NULL) {
-		ProtocolLogDirName = BASEDIR;
-	}
-	sprintf(protologlocalarr, "%s/%s%s%s%s", ProtocolLogDirName, PROTOLOGPREFIX,
-			client_ip, PROTOLOGSUFFIX, "\0");
-	//strlcpy(ProtocolLogFileName, protologlocalarr, sizeof(ProtocolLogFileName));
-	strlcpy(protologlocalarr,ProtocolLogDirName,sizeof(protologlocalarr));
-	strlcat(protologlocalarr,"/",sizeof(protologlocalarr));
-	strlcat(protologlocalarr,PROTOLOGPREFIX,sizeof(protologlocalarr));
-	strlcat(protologlocalarr,client_ip,sizeof(protologlocalarr));
-	strlcat(protologlocalarr,PROTOLOGSUFFIX,sizeof(protologlocalarr));
-
-	strlcpy(ProtocolLogFileName, protologlocalarr, sizeof(ProtocolLogFileName));
-
-	log_println(5, "Protocol filename: %s: %s\n", ProtocolLogFileName,
-			ProtocolLogDirName);
+   void set_protologfile(char* client_ip, char* protologlocalarr) {
+   FILE * fp;
+
+   if (ProtocolLogDirName == NULL) {
+   ProtocolLogDirName = BASEDIR;
+   }
+   sprintf(protologlocalarr, "%s/%s%s%s%s", ProtocolLogDirName, PROTOLOGPREFIX,
+   client_ip, PROTOLOGSUFFIX, "\0");
+//strlcpy(ProtocolLogFileName, protologlocalarr, sizeof(ProtocolLogFileName));
+strlcpy(protologlocalarr,ProtocolLogDirName,sizeof(protologlocalarr));
+strlcat(protologlocalarr,"/",sizeof(protologlocalarr));
+strlcat(protologlocalarr,PROTOLOGPREFIX,sizeof(protologlocalarr));
+strlcat(protologlocalarr,client_ip,sizeof(protologlocalarr));
+strlcat(protologlocalarr,PROTOLOGSUFFIX,sizeof(protologlocalarr));
+
+strlcpy(ProtocolLogFileName, protologlocalarr, sizeof(ProtocolLogFileName));
+
+log_println(5, "Protocol filename: %s: %s\n", ProtocolLogFileName,
+ProtocolLogDirName);
 
 }
- */
+*/
 
 /**
  * Return the protocol validation log filename.
@@ -289,29 +288,31 @@ void set_protologfile(char* client_ip, char* protologlocalarr) {
  * @return The protocol log filename
  */
 
-char* get_protologfile(int socketNum, char *protologfilename, size_t filename_size) {
-	char localAddr[64]="", remoteAddr[64]="";
-	I2Addr tmp_addr = NULL;
-	size_t tmpstrlen = sizeof(localAddr);
-	memset(localAddr, 0, tmpstrlen);
-	memset(remoteAddr, 0, tmpstrlen);
+char* get_protologfile(int socketNum, char *protologfilename,
+                       size_t filename_size) {
+  char localAddr[64]="", remoteAddr[64]="";
+  I2Addr tmp_addr = NULL;
+  size_t tmpstrlen = sizeof(localAddr);
+  memset(localAddr, 0, tmpstrlen);
+  memset(remoteAddr, 0, tmpstrlen);
 
-	// get remote address
-	tmp_addr =
-			I2AddrBySockFD(get_errhandle(), socketNum, False);
-	I2AddrNodeName(tmp_addr, remoteAddr, &tmpstrlen); //client name
+  // get remote address
+  tmp_addr =
+      I2AddrBySockFD(get_errhandle(), socketNum, False);
+  I2AddrNodeName(tmp_addr, remoteAddr, &tmpstrlen);  // client name
 
-	// get local address
-	tmp_addr = I2AddrByLocalSockFD(get_errhandle(), socketNum, False);
+  // get local address
+  tmp_addr = I2AddrByLocalSockFD(get_errhandle(), socketNum, False);
 
-	I2AddrNodeName(tmp_addr, localAddr, &tmpstrlen);
+  I2AddrNodeName(tmp_addr, localAddr, &tmpstrlen);
 
-	// copy address into filename String
-	snprintf(protologfilename, filename_size, "%s/%s%s%s%s%s%s", ProtocolLogDirName, PROTOLOGPREFIX,
-			localAddr, "_",remoteAddr, PROTOLOGSUFFIX, "\0");
-	//log_print(0, "Log file name ---%s---", protologfilename);
+  // copy address into filename String
+  snprintf(protologfilename, filename_size, "%s/%s%s%s%s%s%s",
+           ProtocolLogDirName, PROTOLOGPREFIX, localAddr, "_", remoteAddr,
+           PROTOLOGSUFFIX, "\0");
+  // log_print(0, "Log file name ---%s---", protologfilename);
 
-	return protologfilename;
+  return protologfilename;
 }
 
 /**
@@ -320,7 +321,7 @@ char* get_protologfile(int socketNum, char *protologfilename, size_t filename_si
  */
 
 int get_debuglvl() {
-	return _debuglevel;
+  return _debuglevel;
 }
 
 /**
@@ -330,7 +331,7 @@ int get_debuglvl() {
 
 char*
 get_logfile() {
-	return LogFileName;
+  return LogFileName;
 }
 
 /**
@@ -340,7 +341,7 @@ get_logfile() {
  */
 
 I2ErrHandle get_errhandle() {
-	return _errorhandler_nl;
+  return _errorhandler_nl;
 }
 
 /**
@@ -350,17 +351,16 @@ I2ErrHandle get_errhandle() {
  *            ... - the additional arguments
  */
 
-void log_print(int lvl, const char* format, ...)
-{
-	va_list ap;
+void log_print(int lvl, const char* format, ...) {
+  va_list ap;
 
-	if (lvl > _debuglevel) {
-		return;
-	}
+  if (lvl > _debuglevel) {
+    return;
+  }
 
-	va_start(ap, format);
-	I2ErrLogVT(_errorhandler,-1,0,format,ap);
-	va_end(ap);
+  va_start(ap, format);
+  I2ErrLogVT(_errorhandler, -1, 0, format, ap);
+  va_end(ap);
 }
 
 /**
@@ -371,17 +371,16 @@ void log_print(int lvl, const char* format, ...)
  *            ... - the additional arguments
  */
 
-void log_println(int lvl, const char* format, ...)
-{
-	va_list ap;
+void log_println(int lvl, const char* format, ...) {
+  va_list ap;
 
-	if (lvl > _debuglevel) {
-		return;
-	}
+  if (lvl > _debuglevel) {
+    return;
+  }
 
-	va_start(ap, format);
-	I2ErrLogVT(_errorhandler_nl,-1,0,format,ap);
-	va_end(ap);
+  va_start(ap, format);
+  I2ErrLogVT(_errorhandler_nl, -1, 0, format, ap);
+  va_end(ap);
 }
 
 /**
@@ -395,41 +394,42 @@ void log_println(int lvl, const char* format, ...)
  * @return number or characters written to the output buffer
  * */
 
-int quote_delimiters(const char *line, int line_size, char *output_buf, int output_buf_size) {
-	static char quoted[4][2] = {
-          { '\n', 'n' },
-          { '"', '"' },
-          { '\0', '0' },
-          { '\\', '\\' },
-        };
-	char quote_char = '\\';
-
-	int i, j, k;
-
-	for (i = j = 0; i < line_size && j < output_buf_size - 1; i++) {
-		// find any matching characters among the quoted
-		int match = 0;
-		for (k = 0; k < 4; k++) {
-			if (line[i] == quoted[k][0]) {
-				output_buf[j] = quote_char;
-				output_buf[j + 1] = quoted[k][1];
-				j += 2;
-				match = 1;
-				break;
-			}
-		}
-
-		if (match == 0) {
-			output_buf[j] = line[i];
-			j++;
-		}
-	}
-
-	output_buf[j] = '\0'; // make sure it's null-terminated
-	log_println(8, "****Received=%s; len=%d; dest=%d; MSG=%s", line, line_size,
-			output_buf_size, output_buf);
-
-	return j - 1;
+int quote_delimiters(const char *line, int line_size, char *output_buf,
+                     int output_buf_size) {
+  static char quoted[4][2] = {
+    { '\n', 'n' },
+    { '"', '"' },
+    { '\0', '0' },
+    { '\\', '\\' },
+  };
+  char quote_char = '\\';
+
+  int i, j, k;
+
+  for (i = j = 0; i < line_size && j < output_buf_size - 1; i++) {
+    // find any matching characters among the quoted
+    int match = 0;
+    for (k = 0; k < 4; k++) {
+      if (line[i] == quoted[k][0]) {
+        output_buf[j] = quote_char;
+        output_buf[j + 1] = quoted[k][1];
+        j += 2;
+        match = 1;
+        break;
+      }
+    }
+
+    if (match == 0) {
+      output_buf[j] = line[i];
+      j++;
+    }
+  }
+
+  output_buf[j] = '\0';  // make sure it's null-terminated
+  log_println(8, "****Received=%s; len=%d; dest=%d; MSG=%s", line, line_size,
+              output_buf_size, output_buf);
+
+  return j - 1;
 }
 
 /**
@@ -442,31 +442,31 @@ int quote_delimiters(const char *line, int line_size, char *output_buf, int outp
  * @param socketnum Socket fd
  */
 void protolog_printgeneric(const char* key, const char* value, int socketnum) {
-	FILE * fp;
-	char isotime[64];
-
-	char logmessage[4096]; /* 4096 is just a random default buffer size for the protocol message
-	 Ideally, twice the messsage size will suffice */
-	char tmplogname[FILENAME_SIZE];
-
-	if (!enableprotologging) {
-		log_println(5, "Protocol logging is not enabled");
-		return;
-	}
-
-	// make delimiters in message payload explicit
-	quote_delimiters(value, strlen(value), logmessage, sizeof(logmessage));
-
-	fp = fopen(get_protologfile(socketnum, tmplogname, sizeof(tmplogname)), "a");
-	if (fp == NULL) {
-		log_println(5,
-				"--Unable to open proto file while trying to record msg: %s \n",
-				key, value);
-	} else {
-		fprintf(fp, " event=\"%s\", name=\"%s\", time=\"%s\"\n", key, value,
-				get_currenttime(isotime, sizeof(isotime)));
-		fclose(fp);
-	}
+  FILE * fp;
+  char isotime[64];
+  // 4096 is just a random default buffer size for the protocol message.
+  // Ideally, twice the messsage size will suffice
+  char logmessage[4096];
+  char tmplogname[FILENAME_SIZE];
+
+  if (!enableprotologging) {
+    log_println(5, "Protocol logging is not enabled");
+    return;
+  }
+
+  // make delimiters in message payload explicit
+  quote_delimiters(value, strlen(value), logmessage, sizeof(logmessage));
+
+  fp = fopen(get_protologfile(socketnum, tmplogname, sizeof(tmplogname)), "a");
+  if (fp == NULL) {
+    log_println(5,
+                "--Unable to open proto file while trying to record msg: %s \n",
+                key, value);
+  } else {
+    fprintf(fp, " event=\"%s\", name=\"%s\", time=\"%s\"\n", key, value,
+            get_currenttime(isotime, sizeof(isotime)));
+    fclose(fp);
+  }
 }
 
 /**
@@ -480,40 +480,40 @@ void protolog_printgeneric(const char* key, const char* value, int socketnum) {
  *
  */
 void protolog_status(int pid, enum TEST_ID testid,
-		enum TEST_STATUS_INT teststatus, int socketnum) {
-	FILE * fp;
-	//va_list ap;
-	char protomessage[256];
-	char currenttestarr[TEST_NAME_DESC_SIZE];
-	char currentstatusarr[TEST_STATUS_DESC_SIZE];
-	char isotime[64];
-	char *currenttestname = "";
-	char *teststatusdesc = "";
-	char tmplogname[FILENAME_SIZE]="";
-
-	//get descriptive strings for test name and status
-	currenttestname = get_testnamedesc(testid, currenttestarr);
-	teststatusdesc = get_teststatusdesc(teststatus, currentstatusarr);
-
-	if (!enableprotologging) {
-		log_println(5, "Protocol logging is not enabled");
-		return;
-	}
-
-	fp = fopen(get_protologfile(socketnum, tmplogname, sizeof(tmplogname)), "a");
-	if (fp == NULL) {
-		log_println(
-				5,
-				"--Unable to open protocol log file while trying to record test status message: %s for the %s test \n",
-				teststatusdesc, currenttestname);
-	} else {
-		snprintf(protomessage, sizeof(protomessage),
-				" event=\"%s\", name=\"%s\", pid=\"%d\", time=\"%s\"\n",
-				teststatusdesc, currenttestname, pid,
-				get_currenttime(isotime, sizeof(isotime)));
-		fprintf(fp, "%s", protomessage);
-		fclose(fp);
-	}
+                     enum TEST_STATUS_INT teststatus, int socketnum) {
+  FILE * fp;
+  // va_list ap;
+  char protomessage[256];
+  char currenttestarr[TEST_NAME_DESC_SIZE];
+  char currentstatusarr[TEST_STATUS_DESC_SIZE];
+  char isotime[64];
+  char *currenttestname = "";
+  char *teststatusdesc = "";
+  char tmplogname[FILENAME_SIZE]="";
+
+  // get descriptive strings for test name and status
+  currenttestname = get_testnamedesc(testid, currenttestarr);
+  teststatusdesc = get_teststatusdesc(teststatus, currentstatusarr);
+
+  if (!enableprotologging) {
+    log_println(5, "Protocol logging is not enabled");
+    return;
+  }
+
+  fp = fopen(get_protologfile(socketnum, tmplogname, sizeof(tmplogname)), "a");
+  if (fp == NULL) {
+    log_println(5,
+                "--Unable to open protocol log file while trying to record "
+                "test status message: %s for the %s test \n", teststatusdesc,
+                currenttestname);
+  } else {
+    snprintf(protomessage, sizeof(protomessage),
+             " event=\"%s\", name=\"%s\", pid=\"%d\", time=\"%s\"\n",
+             teststatusdesc, currenttestname, pid,
+             get_currenttime(isotime, sizeof(isotime)));
+    fprintf(fp, "%s", protomessage);
+    fclose(fp);
+  }
 }
 
 /**
@@ -527,53 +527,56 @@ void protolog_status(int pid, enum TEST_ID testid,
  * @param socketnum Socket fd
  */
 void protolog_procstatus(int pid, enum TEST_ID testidarg,
-		enum PROCESS_TYPE_INT procidarg, enum PROCESS_STATUS_INT teststatusarg, int socketnum) {
-	FILE * fp;
-	char protomessage[256];
-	char isotime[64];
-	char currentprocarr[TEST_NAME_DESC_SIZE]; // size suffices to describe process name name too
-	char currentstatusarr[PROCESS_STATUS_DESC_SIZE];
-	char currenttestarr[TEST_NAME_DESC_SIZE];
-
-	char *currentprocname = "";
-	char *procstatusdesc = "";
-	char *currenttestname = "";
-
-	char tmplogname[FILENAME_SIZE];
-
-	//get descriptive strings for test name and status
-	currenttestname = get_testnamedesc(testidarg, currenttestarr);
-	currentprocname = get_processtypedesc(procidarg, currentprocarr);
-	procstatusdesc = get_procstatusdesc(teststatusarg, currentstatusarr);
-
-	if (!enableprotologging) {
-		log_println(5, "Protocol logging is not enabled");
-		return;
-	}
-
-	fp = fopen(get_protologfile(socketnum, tmplogname, sizeof(tmplogname)), "a");
-
-	if (fp == NULL) {
-		log_println(
-				5,
-				"--Unable to open protocol log file while trying to record process status message: %s for the %s test \n",
-				procstatusdesc, currentprocname);
-	} else {
-		log_println(8, " a0\n %s, %s, %s,%d", procstatusdesc,currentprocname,currenttestname,pid);
-		snprintf(protomessage, sizeof(protomessage),
-				" event=\"%s\", name=\"%s\", test=\"%s\", pid=\"%d\", time=\"%s\"\n",
-				procstatusdesc, currentprocname, currenttestname, pid,
-				get_currenttime(isotime, sizeof(isotime)));
-		fprintf(fp, "%s", protomessage);
-		fclose(fp);
-	}
+                         enum PROCESS_TYPE_INT procidarg,
+                         enum PROCESS_STATUS_INT teststatusarg, int socketnum) {
+  FILE * fp;
+  char protomessage[256];
+  char isotime[64];
+  // size suffices to describe process name name too
+  char currentprocarr[TEST_NAME_DESC_SIZE];
+  char currentstatusarr[PROCESS_STATUS_DESC_SIZE];
+  char currenttestarr[TEST_NAME_DESC_SIZE];
+
+  char *currentprocname = "";
+  char *procstatusdesc = "";
+  char *currenttestname = "";
+
+  char tmplogname[FILENAME_SIZE];
+
+  // get descriptive strings for test name and status
+  currenttestname = get_testnamedesc(testidarg, currenttestarr);
+  currentprocname = get_processtypedesc(procidarg, currentprocarr);
+  procstatusdesc = get_procstatusdesc(teststatusarg, currentstatusarr);
+
+  if (!enableprotologging) {
+    log_println(5, "Protocol logging is not enabled");
+    return;
+  }
+
+  fp = fopen(get_protologfile(socketnum, tmplogname, sizeof(tmplogname)), "a");
+
+  if (fp == NULL) {
+    log_println(5,
+                "--Unable to open protocol log file while trying to record "
+                "process status message: %s for the %s test \n", procstatusdesc,
+                currentprocname);
+  } else {
+    log_println(8, " a0\n %s, %s, %s,%d", procstatusdesc, currentprocname,
+                currenttestname, pid);
+    snprintf(protomessage, sizeof(protomessage), " event=\"%s\", name=\"%s\", "
+             "test=\"%s\", pid=\"%d\", time=\"%s\"\n", procstatusdesc,
+             currentprocname, currenttestname, pid,
+             get_currenttime(isotime, sizeof(isotime)));
+    fprintf(fp, "%s", protomessage);
+    fclose(fp);
+  }
 }
 
 /**
  * Enable protocol logging
  */
 void enableprotocollogging() {
-	enableprotologging = 1;
+  enableprotologging = 1;
 }
 
 /**
@@ -582,22 +585,24 @@ void enableprotocollogging() {
  * @param charbinary 8 digit character that contains binary information
  * @param binout_arr output array containing binary bits
  */
-void printbinary(char *charbinary, int inarray_size, char *binout_arr, int outarr_size) {
-	int j = 7, i = 0;
-
-	if ( outarr_size < 8 ) {
-		log_println(8, "Invalid array sizes while formatting protocol binary data. Quitting");
-		return;
-	}
-
-	for (j = 7 ; j >= 0 && i < BITS_8; j--) {
-		if ((*charbinary & (1 << j)))
-			binout_arr[i] = '1';
-		else
-			binout_arr[i] = '0';
-		i++;
-	}
-	binout_arr[i] = '\0';
+void printbinary(char *charbinary, int inarray_size, char *binout_arr,
+                 int outarr_size) {
+  int j = 7, i = 0;
+
+  if ( outarr_size < 8 ) {
+    log_println(8, "Invalid array sizes while formatting protocol binary data. "
+                "Quitting");
+    return;
+  }
+
+  for (j = 7 ; j >= 0 && i < BITS_8; j--) {
+    if ((*charbinary & (1 << j)))
+      binout_arr[i] = '1';
+    else
+      binout_arr[i] = '0';
+    i++;
+  }
+  binout_arr[i] = '\0';
 }
 
 
@@ -617,25 +622,27 @@ void printbinary(char *charbinary, int inarray_size, char *binout_arr, int outar
  * @param sizemsgbits Output buffer size
  * @return isbitfield
  */
-int getMessageBodyFormat(int type, int len, char* msgbodytype, char* msgpayload, char* msgbits, int sizemsgbits) {
-	int isbitfielddata = 0;
-	enum MSG_BODY_TYPE msgbodyformat = NOT_KNOWN;
-
-	if (type == MSG_LOGIN && len ==1 ) {
-		msgbodyformat = BITFIELD;
-		strlcpy(msgbodytype, (char *)getmessageformattype(msgbodyformat,msgbodytype), MSG_BODY_FMT_SIZE );
-		printbinary (msgpayload, len, msgbits, sizemsgbits);
-		isbitfielddata = 1;
-	}
-	else {
-		msgbodyformat = STRING;
-		strlcpy(msgbodytype , (char *)getmessageformattype(msgbodyformat,msgbodytype), MSG_BODY_FMT_SIZE);
-		// make delimiters in message payload explicit
-		quote_delimiters(msgpayload, len, msgbits, sizemsgbits);
-
-	}
-	return isbitfielddata;
-
+int getMessageBodyFormat(int type, int len, char* msgbodytype,
+                         char* msgpayload, char* msgbits, int sizemsgbits) {
+  int isbitfielddata = 0;
+  enum MSG_BODY_TYPE msgbodyformat = NOT_KNOWN;
+
+  if (type == MSG_LOGIN && len ==1) {
+    msgbodyformat = BITFIELD;
+    strlcpy(msgbodytype,
+            (char *)getmessageformattype(msgbodyformat, msgbodytype),
+            MSG_BODY_FMT_SIZE);
+    printbinary(msgpayload, len, msgbits, sizemsgbits);
+    isbitfielddata = 1;
+  } else {
+    msgbodyformat = STRING;
+    strlcpy(msgbodytype,
+            (char *)getmessageformattype(msgbodyformat, msgbodytype),
+            MSG_BODY_FMT_SIZE);
+    // make delimiters in message payload explicit
+    quote_delimiters(msgpayload, len, msgbits, sizemsgbits);
+  }
+  return isbitfielddata;
 }
 
 /** Log all send/receive protocol messages.
@@ -650,36 +657,39 @@ int getMessageBodyFormat(int type, int len, char* msgbodytype, char* msgpayload,
  * @param ctlSocket socket over which message has been exchanged
  * */
 void protolog_println(char *msgdirection, const int type, void* msg,
-		const int len, const int processid, const int ctlSocket) {
-	FILE * fp;
-
-	char msgtypedescarr[MSG_TYPE_DESC_SIZE];
-	char *currenttestname, *currentmsgtype;
-	char isotime[64];
-	char logmessage[4096]; // message after replacing delimiter characters
-	char protologfile[FILENAME_SIZE];
-	char msgbodytype[MSG_BODY_FMT_SIZE];
-
-	// get descriptive strings for test name and direction
-	currenttestname = get_currenttestdesc();
-	currentmsgtype = get_msgtypedesc(type, msgtypedescarr);
-
-	getMessageBodyFormat(type, len, msgbodytype, (char *) msg, logmessage, sizeof(logmessage));
-
-	fp = fopen(get_protologfile(ctlSocket, protologfile, sizeof(protologfile)), "a");
-	if (fp == NULL) {
-		log_println(
-				5,
-				"Unable to open protocol log file '%s', continuing on without logging",
-				protologfile);
-	} else {
-		fprintf(
-				fp,
-				" event=\"message\", direction=\"%s\", test=\"%s\", type=\"%s\", len=\"%d\", msg_body_format=\"%s\", msg=\"%s\", pid=\"%d\", socket=\"%d\", time=\"%s\"\n",
-				msgdirection, currenttestname, currentmsgtype, len, msgbodytype, logmessage,
-				processid, ctlSocket, get_currenttime(isotime, sizeof(isotime)));
-		fclose(fp);
-	}
+                      const int len, const int processid, const int ctlSocket) {
+  FILE * fp;
+
+  char msgtypedescarr[MSG_TYPE_DESC_SIZE];
+  char *currenttestname, *currentmsgtype;
+  char isotime[64];
+  char logmessage[4096];  // message after replacing delimiter characters
+  char protologfile[FILENAME_SIZE];
+  char msgbodytype[MSG_BODY_FMT_SIZE];
+
+  // get descriptive strings for test name and direction
+  currenttestname = get_currenttestdesc();
+  currentmsgtype = get_msgtypedesc(type, msgtypedescarr);
+
+  getMessageBodyFormat(type, len, msgbodytype, (char *) msg, logmessage,
+                       sizeof(logmessage));
+
+  fp = fopen(get_protologfile(ctlSocket, protologfile, sizeof(protologfile)),
+             "a");
+  if (fp == NULL) {
+    log_println(
+        5,
+        "Unable to open protocol log file '%s', continuing on without logging",
+        protologfile);
+  } else {
+    fprintf(fp,
+            " event=\"message\", direction=\"%s\", test=\"%s\", type=\"%s\", "
+            "len=\"%d\", msg_body_format=\"%s\", msg=\"%s\", pid=\"%d\", "
+            "socket=\"%d\", time=\"%s\"\n", msgdirection, currenttestname,
+            currentmsgtype, len, msgbodytype, logmessage, processid, ctlSocket,
+            get_currenttime(isotime, sizeof(isotime)));
+    fclose(fp);
+  }
 }
 
 /** Log "sent" protocol messages.
@@ -692,16 +702,16 @@ void protolog_println(char *msgdirection, const int type, void* msg,
  * @param ctlSocket socket over which message has been exchanged
  * */
 void protolog_sendprintln(const int type, void* msg, const int len,
-		const int processid, const int ctlSocket) {
-	char *currentDir;
+                          const int processid, const int ctlSocket) {
+  char *currentDir;
 
-	if (!enableprotologging) {
-		log_println(5, "Protocol logging is not enabled");
-		return;
-	}
-	currentDir = get_currentdirndesc();
+  if (!enableprotologging) {
+    log_println(5, "Protocol logging is not enabled");
+    return;
+  }
+  currentDir = get_currentdirndesc();
 
-	protolog_println(currentDir, type, msg, len, processid, ctlSocket);
+  protolog_println(currentDir, type, msg, len, processid, ctlSocket);
 }
 
 /**
